Skip to main content

Get concession by ID

GEThttps://api.propexo.com/v1/concessions/:concession_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

concession_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the concession

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: sdPFT6040dA8y8lCPYd87tpdFtLASs
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: ea387f8a-f93c-439f-80dd-29d6080c52cc
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: je387f8a-f93c-439f-80dd-29d6080c524e
    x_floor_plan_idstring | nullnullablerequired

    The external ID of the floor plan from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5
    total_amount_in_centsinteger | nullnullablerequired

    The total amount of the concession

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 100000
    start_datenullrequired

    The start date associated with the concession

    Notice

    This field will always be null for RESMAN

    Example: null
    end_datenullrequired

    The end date associated with the concession

    Notice

    This field will always be null for RESMAN

    Example: null
    is_activeboolean | nullnullablerequired

    Whether the concession is active

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: true
    descriptionstring | nullnullablerequired

    Description of the concession

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: Property Level Concession
    is_one_timenullrequired

    Whether or not the concession occurs a single time

    Notice

    This field will always be null for RESMAN

    Example: null
    is_recurringnullrequired

    Whether or not the concession is recurring

    Notice

    This field will always be null for RESMAN

    Example: null
    monthly_fixed_amount_in_centsnullrequired

    The monthly fixed amount of the concession in cents

    Notice

    This field will always be null for RESMAN

    Example: null
    monthly_percentage_amountnullrequired

    The monthly percentage amount of the concession. This is rounded to the nearest percent

    Notice

    This field will always be null for RESMAN

    Example: null
    monthly_percentage_rawnullrequired

    The raw monthly percentage amount of the concession as a string, preserving decimal precision

    Notice

    This field will always be null for RESMAN

    Example: null
    one_time_fixed_amount_in_centsnullrequired

    The one time fixed amount of the concession in cents

    Notice

    This field will always be null for RESMAN

    Example: null
    one_time_percentage_amountnullrequired

    The one time percentage amount of the concession. This is rounded to the nearest percent

    Notice

    This field will always be null for RESMAN

    Example: null
    one_time_percentage_rawnullrequired

    The raw one time percentage amount of the concession as a string, preserving decimal precision

    Notice

    This field will always be null for RESMAN

    Example: null
    number_of_occurrencesnullrequired

    The number of occurrences of the concession

    Notice

    This field will always be null for RESMAN

    Example: null
    fixed_amount_in_centsnullrequired

    The fixed amount of the concession in cents

    Notice

    This field will always be null for RESMAN

    Example: null
    percentage_amountnullrequired

    The percentage amount of the concession. This is rounded to the nearest percent

    Notice

    This field will always be null for RESMAN

    Example: null
    percentage_rawnullrequired

    The raw percentage amount of the concession as a string, preserving decimal precision

    Notice

    This field will always be null for RESMAN

    Example: null
    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 12
    lease_term_rawstring | nullnullablerequired

    The raw value for the lease term

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 12 months
    concession_formula_rawnullrequired

    The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")

    Notice

    This field will always be null for RESMAN

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: testintegration:2:1:1
    floor_plan_idstring | nullnullablerequired

    The Propexo unique identifier for the floor plan

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: testintegration:2:1:1

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/concessions/:concession_id
curl https://api.propexo.com/v1/concessions/:concession_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "sdPFT6040dA8y8lCPYd87tpdFtLASs",
"x_property_id": "ea387f8a-f93c-439f-80dd-29d6080c52cc",
"x_location_id": null,
"x_unit_id": "je387f8a-f93c-439f-80dd-29d6080c524e",
"x_floor_plan_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
"total_amount_in_cents": 100000,
"start_date": null,
"end_date": null,
"is_active": true,
"description": "Property Level Concession",
"is_one_time": null,
"is_recurring": null,
"monthly_fixed_amount_in_cents": null,
"monthly_percentage_amount": null,
"monthly_percentage_raw": null,
"one_time_fixed_amount_in_cents": null,
"one_time_percentage_amount": null,
"one_time_percentage_raw": null,
"number_of_occurrences": null,
"fixed_amount_in_cents": null,
"percentage_amount": null,
"percentage_raw": null,
"lease_term_in_months": 12,
"lease_term_raw": "12 months",
"concession_formula_raw": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "testintegration:2:1:1",
"floor_plan_id": "testintegration:2:1:1"
}
}